Name: pkg-config
Version: 0.29.2
Release: 0
License: GPLv2
Summary: pkg-config
Url: https://www.freedesktop.org/wiki/Software/pkg-config

BuildRequires: glib2-devel
BuildRequires: libintl-devel

Source0: https://pkg-config.freedesktop.org/releases/pkg-config-%{version}.tar.gz

%description
pkg-config is a helper tool used when compiling applications and libraries. It helps you insert the correct compiler options on the command line so an application can use gcc -o test test.c pkg-config --libs --cflags glib-2.0 for instance, rather than hard-coding values on where to find glib (or other libraries). It is language-agnostic, so it can be used for defining the location of documentation tools, for instance.

%prep
%setup -q

%build

%configure \
  CPPFLAGS="-I%{_includedir}" \
  LDFLAGS="-Wl,-brtl -Wl,-blibpath:%{_libdir}:/QOpenSys/usr/lib -L%{_libdir}" \
  GLIB_CFLAGS='-I%{_includedir}/glib-2.0 -I%{_libdir}/glib-2.0/include' \
  GLIB_LIBS='-lglib-2.0 -lintl' \
  --disable-rpath
  
%make_build


%install

%make_install

%files
%defattr(-, qsys, *none)

%{_bindir}/pkg-config
%{_bindir}/powerpc-ibm-os400-pkg-config

%{_datadir}/aclocal/pkg.m4

%{_docdir}/pkg-config/pkg-config-guide.html

%{_mandir}/man1/pkg-config.1

%changelog
